Skip to main content
POST
/
v1
/
accounts
/
{accountId}
/
resellers
curl -X POST "https://api.telzino.com/v1/accounts/account-123/resellers" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "resellerName": "Test Reseller",
    "external_id": "external-reseller-123"
  }'
{
  "id": "reseller-abc123",
  "account_id": "account-123",
  "name": "Test Reseller",
  "external_id": "external-reseller-123",
  "created_at": "2024-01-15T10:30:00Z"
}

Path Parameters

accountId
string
required
The account ID to create the reseller under

Request Body

resellerName
string
required
Name of the reseller
external_id
string
External identifier for integration with your systems
curl -X POST "https://api.telzino.com/v1/accounts/account-123/resellers" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "resellerName": "Test Reseller",
    "external_id": "external-reseller-123"
  }'
{
  "id": "reseller-abc123",
  "account_id": "account-123",
  "name": "Test Reseller",
  "external_id": "external-reseller-123",
  "created_at": "2024-01-15T10:30:00Z"
}